summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlnet56
1 files changed, 34 insertions, 22 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet
index 0bf0d654b26..9d89515bf62 100755
--- a/Master/tlpkg/bin/tl-update-tlnet
+++ b/Master/tlpkg/bin/tl-update-tlnet
@@ -156,31 +156,43 @@ unexpected_output=`cat install.log \
| grep -Ev '^Time used for installing ' \
| cat`
-
-#
-if test -z "$unexpected_output"; then
- # no unexpected output, so ship the new packages.
- cd $tltrybase
- if $chicken; then
- echo "$0: Chicken mode, not updating anything."
- else
- echo "$0: Test install ok, comparing containers." # just a test
- (cd $tltry/archive && time /home/karl/bin/cmpcont) >/tmp/cmpcont 2>&1 || true
-
- echo "$0: Updating $tlweb from $tltry."
- rm -rf $tlweb
- mv $tltry $tlweb
- rm -rf $tltrybase
- echo "$0: Done."
- fi
- exit 0
-else
- echo "$0: Test installation failed, not removing anything." >&2
- echo "$0: Remember to clean up the trial dir, please." >&2
+failure=false
+if test -n "$unexpected_output"; then
+ failure=true
+ echo "$0: Test installation failed." >&2
echo "$0: Here is the unexpected output:" >&2
echo "$unexpected_output" >&2
+
+else
+ # install worked, how about tlmgr?
+ tlmgr=$tltryinst$yyyy/bin/*
+ if $tlmgr update --list; then :; else
+ failure=true
+ echo "$0: tlmgr update --list failed ($tlmgr)." >&2
+ fi
+fi
+
+if $failure; then
echo
echo "$0: Full transcript file: `pwd`/install.log" >&2
- echo "$0: install-tl's complete log file: $tltryinst/$yyyy/install-tl.log" >&2
+ echo "$0: install-tl complete log file: $tltryinst/$yyyy/install-tl.log" >&2
+ echo "$0: Remember to clean up the trial dir, please." >&2
exit 1
fi
+
+#
+# no unexpected output, so ship the new packages.
+cd $tltrybase
+if $chicken; then
+ echo "$0: Chicken mode, not updating anything."
+else
+ echo "$0: Test install ok, comparing containers." # just a test
+ (cd $tltry/archive && time /home/karl/bin/cmpcont) >/tmp/cmpcont 2>&1 || true
+
+ echo "$0: Updating $tlweb from $tltry."
+ rm -rf $tlweb
+ mv $tltry $tlweb
+ rm -rf $tltrybase
+ echo "$0: Done."
+fi
+exit 0